2018-03-29 08:11:38 +0200 Martin Kampas (a14bd0b) 

	* Allow to disable mmk plugin explicitly

2018-03-29 11:08:53 +0200 Martin Kampas (4b55254) 

	* Fix QDoc configuration

2017-05-04 14:02:19 +0300 Jani Heikkinen (ee2387f) 

	* Fix licensing

2017-03-06 15:05:33 +0100 Ulf Hermann (1c93646) 

	* Fix build with -no-feature-library

2016-03-03 10:36:31 +0100 Marc Mutz (9ac8d8c) 

	* Make more ctors explicit

2016-03-03 10:36:17 +0100 Marc Mutz (c2f6e18) 

	* Make public headers compile with -Wzero-as-null-pointer-constant

2016-04-06 08:03:33 +0200 Alex Blasche (eb52542) 

	* Remove WinCE vestiges

2016-04-05 18:22:30 +0200 Oswald Buddenhagen (de26e10) 

	* purge symbian vestiges

2016-04-07 14:00:52 +0200 Alex Blasche (596bf45) 

	* Update QtFeedback license/copyright headers

2016-04-11 09:06:29 +0200 Alex Blasche (4d22329) 

	* Link QtFeedback build against Qt/dev

2015-09-18 13:54:47 +0200 Oswald Buddenhagen (28ca624) 

	* version the LICENSE.*GPL files

2014-08-07 15:41:50 +0200 Oswald Buddenhagen (862de79) 

	* make QtFeedback claim 'feedback' plugin type

2014-09-15 15:43:56 +0200 Oswald Buddenhagen (e71e749) 

	* purge stale jsbackend dependency

2013-05-29 08:47:08 +0200 Liang Qi (dea0da7) 

	* Update all plugins.qmltypes files

2013-05-29 08:46:44 +0200 Liang Qi (efdebe3) 

	* Update qmldir files

2013-04-02 10:17:22 +0300 Timo Jyrinki (eb48ace) 

	* Add license files mandated by (L)GPL.

2013-02-26 12:40:51 +0100 Oswald Buddenhagen (e2794d1) 

	* define MODULE_VERSION

2012-12-21 11:42:14 +0100 Oswald Buddenhagen (fec8a0c) 

	* make use of qtHaveModule()

2013-01-10 10:21:23 +0100 Sergio Ahumada (dddbd81) 

	* Fix signals usage caught by tst_Headers

2012-12-14 19:24:07 +0100 Oswald Buddenhagen (ac2dc5c) 

	* remove some unnecessary CONFIG additions

2012-12-13 11:04:51 +0100 Oswald Buddenhagen (b962c73) 

	* point dependencies to stable branches

2012-12-03 16:55:44 +0100 Oswald Buddenhagen (e58576f) 

	* fix docs build: canonical naming of qdocconf file

2012-12-03 21:36:17 +0100 Oswald Buddenhagen (c9e2d01) 

	* remove symbian vestiges

2012-10-24 15:29:28 +0200 Oswald Buddenhagen (d22ba2d) 

	* adjust to qt_plugin.prf changes

2012-10-24 15:29:52 +0200 Oswald Buddenhagen (e05a1b3) 

	* remove pointless INCLUDEPATH additions

2012-10-12 16:01:17 +0900 Tasuku Suzuki (0d85e95) 

	* make compile with -no-gui

2012-10-11 16:19:52 +0200 Tor Arne Vestbø (5741e98) 

	* Fix project name in qdocconf file from generic to 'qtfeedback'

2012-10-11 15:28:12 +0200 Tor Arne Vestbø (1a8c580) 

	* Update docs after modularization of docs

2012-09-21 14:08:17 +0200 Jerome Pasion (7deab39) 

	* Doc: adding documentation templates from qtbase

2012-09-20 14:41:21 +0300 Iikka Eklund (f1172bd) 

	* Change copyrights from Nokia to Digia

2012-09-03 12:07:56 +0200 Oswald Buddenhagen (dcddd14) 

	* centralize load(qt_build_config)s in .qmake.conf

2012-08-29 21:40:03 +0200 Thiago Macieira (019d810) 

	* Update the git-archive export options

2012-08-21 17:18:19 +0200 J-P Nurmi (58b8233) 

	* Use QMAKE_DOCS

2012-08-07 19:09:40 +0200 Oswald Buddenhagen (3bbb3cf) 

	* follow rename of qt_module_config.prf to qt_module.prf

2012-08-10 13:44:29 +1000 Toby Tomkins (d0e34db) 

	* Update import api to follow changes in qtdeclarative.

2012-08-03 12:09:32 +0200 Jerome Pasion (5d33f75) 

	* Doc: Changed HTML filename of the main page.

2012-07-31 11:14:09 +1000 Kurt Korbatits (ec381a6) 

	* Added check for audio support to qfeedbackmmk test

2012-08-01 15:48:15 +0200 Thiago Macieira (eba8364) 

	* Set the Qt API level to compatibility mode in all tests.

2012-07-27 19:01:30 +0200 Jerome Pasion (c226685) 

	* Doc: Changed \qmlclass to \qmltype and added \instantiates

2012-07-27 15:57:56 +1000 Toby Tomkins (1803ec3) 

	* Mark test as expected fail on mac platforms, and insignificant on
          win32.

2012-07-23 09:52:21 +0200 Stephen Kelly (57037e2) 

	* Add the CMake directory created during unit testing to .gitignore.

2012-07-19 16:03:29 +0200 Stephen Kelly (dde6b3a) 

	* Test that the package configs for QtFeedback work.

2012-02-15 11:06:15 +0200 Harri Heine (417dddb) 

	* Documentation: Changed the title of index.qdoc  page

2012-07-09 18:52:46 +0200 Oswald Buddenhagen (848ac33) 

	* use centralized qml plugin project handling

2012-07-03 21:37:30 +0200 Oswald Buddenhagen (d520dca) 

	* use centralized handling of QT_BUILD_PARTS

2012-06-22 11:02:29 +0200 Thiago Macieira (57aa2f0) 

	* Update the export macros in qtfeedback.git

2012-04-12 12:12:03 +0200 Oswald Buddenhagen (f443988) 

	* build system cleanups

2012-04-12 10:49:30 +0200 Oswald Buddenhagen (846dfb4) 

	* auto-generate module pris

2012-06-06 15:16:11 +1000 Toby Tomkins (b6beef1) 

	* Fixed whitespace.

2012-06-06 15:08:36 +1000 Toby Tomkins (44a5680) 

	* Fix plugin compilation errors related to qtbase plugin changes.

2012-05-27 11:51:55 +0200 Lars Knoll (9610e64) 

	* Convert the plugins to the new plugin format

2012-05-27 11:43:12 +0200 Lars Knoll (1337644) 

	* Remove the symbian plugin

2012-05-18 16:13:51 +0300 Mrudul Pendharkar (a63a84d) 

	* Cleaning code and removing dependency on QCoreApplication

2012-05-15 14:52:23 +0300 Jaakko Korpela (f839320) 

	* Expose actuator state and capability properties in declarative.

2012-05-14 15:09:42 +1000 Toby Tomkins (8fc929f) 

	* sync.profile: remove dependency on qtsvg.

2012-05-11 15:34:33 +1000 Toby Tomkins (ddaa4d9) 

	* remove dependency on qtscript from autotest.

2012-05-10 16:33:17 +0200 Kent Hansen (dc9abdb) 

	* Don't use QtDeclarative compat module

2012-05-10 13:22:15 +0200 Marius Storm-Olsen (6df20c7) 

	* Doc: Fix \sa usage

2012-05-03 16:04:21 +0300 Harri Heine (b58737d) 

	* Documentation: Adding snippets for QML docs

2012-04-23 21:43:24 +1000 Jason McDonald (7c6ae30) 

	* Remove insignificant_test marker for maemo platform.

2012-04-23 20:15:55 +1000 Jason McDonald (23a3ea9) 

	* Make qtfeedbackmmk test insignificant on Windows and not on Ubuntu
          10.04

2012-04-23 09:23:09 +0300 Harri Heine (57b305b) 

	* Changing Fileeffects as internal

2012-04-25 09:32:55 +0200 Friedemann Kleint (1cbbcc6) 

	* Fix compilation after
          qtbase:8f85b84f4eaa85ff5c02ec5e65fd6706a10690b9.

2012-04-19 14:59:41 +1000 Toby Tomkins (92b3464) 

	* Add required QHash header to mmk plugin.

2012-04-03 12:42:05 +0300 Jaakko Korpela (f5e5ecf) 

	* Emit stateChanged signal in QDeclarativeFeedbackEffect.

2012-04-02 16:34:00 +0300 Mrudul Pendharkar (bb8bb71) 

	* Adding plugins.qmltypes

2012-03-29 17:08:33 +0300 Pekka Vuorela (834376c) 

	* Use templated qmlRegisterModuleApi()

2012-04-02 21:11:06 +0800 Yuchen Deng (d66c41e) 

	* Fix compilation for examples

2012-03-29 14:15:16 +0300 Pekka Vuorela (cff5817) 

	* Use new plugin interface on QtQuick module

2012-03-16 12:26:52 +0100 Friedemann Kleint (fb277cb) 

	* QtFeedback: Fix warnings about deprecated QtDeclarative headers.

2012-03-14 12:27:04 +0200 Jaakko Korpela (e4f9829) 

	* Fix compare logic in setting HapticsEffect intensities.

2012-03-08 14:12:51 +0200 Harri Heine (172635f) 

	* Documentation: Wording improvements.

2012-03-05 11:38:44 +0200 Jyri Tahtela (5ed1b16) 

	* Remove pin of qtbase for qtfeedback.

2012-03-01 18:44:54 +0100 Casper van Donderen (ba61ea8) 

	* Remove the usage of deprecated qdoc macros.

2012-03-02 13:38:43 +0200 Mrudul Pendharkar (01f6aa5) 

	* Removing deprecated declarative feedback import

2012-02-21 17:31:40 +0100 Oswald Buddenhagen (986415f) 

	* clean up qmake-generated projects

2012-02-17 11:56:36 +0200 Eero Hyyti (d49d7b3) 

	* Documentation: \i tag changed to \e for italics.

2012-02-17 09:54:06 +0200 Eero Hyyti (6796734) 

	* Documentation: ifr file extensions changed to ivt.

2012-02-16 13:36:19 +0200 Eero Hyyti (986bafb) 

	* Documentation: Mobility term changed to Feedback in
          QFeedbackEffect.

2012-02-08 11:52:44 +0200 Mrudul Pendharkar (b73c6da) 

	* Module Api for declarative ThemeEffect.

2012-02-15 10:58:34 +0200 Harri Heine (6fcfdc5) 

	* Documentation: Improved QML feedback page

2012-02-14 13:53:14 +0200 Jaakko Korpela (c1225fe) 

	* Register both declarative import paths in declarative plugin.

2012-02-14 16:11:12 +0200 Harri Heine (8bfd574) 

	* Changed QML feedback plugin doc title

2012-02-13 16:12:13 +0200 Harri Heine (5d2834b) 

	* Removing mobility references from src/imports/feedback

2012-02-09 12:55:11 +0200 Harri Heine (6f8f4d8) 

	* Improved Haptics ThemeEffect Example

2012-02-08 09:34:44 +0200 Harri Heine (248498e) 

	* Documentation: platform specific things removed from main page.

2012-02-07 15:33:08 +0200 Jaakko Korpela (b7b528d) 

	* Update feedback effect enumerations.

2012-02-03 15:32:35 +0200 Jaakko Korpela (b404c78) 

	* Add support for old declarative import path.

2012-02-01 10:33:58 +0200 Jaakko Korpela (7a61626) 

	* Documentation: add missing pictures and snippets.

2012-01-30 14:18:57 +0200 Jaakko Korpela (7d7daa2) 

	* Change declarative import path.

2012-01-24 15:46:50 +1000 Jason McDonald (55420a8) 

	* Remove "All rights reserved" line from license headers.

2012-01-23 16:17:47 +1000 Jason McDonald (61ac28c) 

	* Update outdated license headers.

2012-01-23 16:30:49 +0200 Eero Hyyti (3d1c680) 

	* Documentation: Image configuration folder changed.

2012-01-20 14:16:21 +1000 Jason McDonald (0386316) 

	* Update obsolete contact address.

2012-01-19 12:14:33 +0200 Jaakko Korpela (eb5d2ca) 

	* Add documentation.

2012-01-10 16:13:12 +1000 Jason McDonald (49ca34d) 

	* Update copyright year in Nokia copyright headers.

2012-01-06 11:36:54 +1000 Rohan McGovern (3b9f1eb) 

	* Fixed compile on Windows in release mode.

2012-01-10 18:04:38 +1000 Rohan McGovern (d73bb67) 

	* sync.profile: introduce dependency on qtjsbackend

2012-01-05 15:26:57 +1000 Jason McDonald (69df5a9) 

	* Update copyright year in license headers.

2011-12-14 14:42:54 +0200 Jaakko Korpela (f235033) 

	* Update theme effect enumeration.

2011-12-06 16:54:21 +1000 Jason McDonald (24980f3) 

	* Remove unused QTRY_WAIT macros.

2011-12-06 15:37:58 +1000 Jason McDonald (f23c247) 

	* Remove duplicate definitions of QTRY_COMPARE and QTRY_VERIFY.

2011-11-29 13:15:14 +0100 Friedemann Kleint (00c4f75) 

	* QtFeedback: Remove rpath from test profiles.

2011-11-16 11:17:23 +1000 Rohan McGovern (b733d99) 

	* Don't install tests by default.

2011-11-17 11:54:42 +1000 Rohan McGovern (ae67744) 

	* tst_qfeedbackmmk: acknowledge crashing test.

2011-10-19 14:59:06 +1000 Jason McDonald (4af4225) 

	* Remove SkipMode parameter from QSKIP.

2011-10-26 17:11:42 +1000 Michael Goddard (a6291f7) 

	* Use the qtmultimedia module in sync.profile, not qtmultimediakit.

2011-10-14 14:00:04 +1000 Rohan McGovern (b6bd1a7) 

	* Fix and enable tests.

2011-10-18 11:08:03 +1000 Michael Goddard (5186f4e) 

	* QSoundEffect was made public - change to a public header include.

2011-10-14 13:29:55 +1000 Rohan McGovern (84d54c7) 

	* Updated feedback mmk plugin for qtmultimediakit -> qtmultimedia

2011-10-14 13:23:24 +1000 Rohan McGovern (20cbc7f) 

	* Fixed failure of tst_QFeedbackNoPlugins

2011-10-13 09:48:22 +0300 Jaakko Korpela (fdcdb43) 

	* Make use of a public qfeedbackglobal header file.

2011-10-06 14:03:34 +0200 Friedemann Kleint (29b3854) 

	* QtFeedback: Compile on Windows.

2011-09-30 16:06:43 +0300 Jaakko Korpela (433c538) 

	* Disable feedback plugin unittest

2011-09-29 16:39:35 +0300 Jaakko Korpela (d899bfa) 

	* Enable feedback plugin and multimedia kit tests

2011-09-30 09:48:52 +0300 Xizhi Zhu (53c6bac) 

	* Fix the names for plugins.

2011-09-23 09:21:01 +1000 Rohan McGovern (97b4075) 

	* Removed obsolete QTM_NAMESPACE references, fixed compile of tests.

2011-08-30 10:35:59 +0300 Xizhi Zhu (db25fcb) 

	* Enable the mmk plugin.

2011-08-30 10:25:27 +0300 Xizhi Zhu (9fd442b) 

	* Not depend on script module.

2011-08-23 15:56:33 +1000 Jason McDonald (01961eb) 

	* Remove obsolete testlib files from .gitignore

2011-07-14 10:31:13 +0300 Xizhi Zhu (246115c) 

	* Fix the namespace for QML plugin.

2011-07-07 18:00:07 +1000 Alan Alpert (47a111a) 

	* Update sync.profile dependencies to new syntax

2011-07-07 16:12:18 +0300 Jyri Tahtela (fc5b8b1) 

	* Update licenseheader text in source files for qtfeedback Qt module

2011-07-01 10:13:44 +0300 Xizhi Zhu (d8fb85f) 

	* Initial commit of modularized QtFeedback.

